Summary: Basic plugins for the LCMAPS authorization framework
Name: lcmaps-plugins-basic
Version: 1.7.1
Release: 2%{?dist}
License: ASL 2.0
Group: System Environment/Libraries
URL: http://wiki.nikhef.nl/grid/Site_Access_Control
Source0: https://software.nikhef.nl/security/%{name}/%{name}-%{version}.tar.gz
BuildRequires: gcc
BuildRequires: lcmaps-devel
BuildRequires: openldap-devel
Requires: lcmaps%{?_isa} >= 1.5.0-1
# BuildRoot is still required for EPEL5
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
The Local Centre MAPping Service (LCMAPS) is a security middleware
component that processes the users Grid credentials (typically X.509
proxy certificates and VOMS attributes) and maps the user to a local
account based on the site local policy.

This package contains the basic plugins.

%package ldap
Summary: LDAP enforcement plug-in for LCMAPS
Group: System Environment/Libraries
Requires: lcmaps%{?_isa} >= 1.5.0-1

%description ldap
The Local Centre MAPping Service (LCMAPS) is a security middleware
component that processes the users Grid credentials (typically X.509
proxy certificates and VOMS attributes) and maps the user to a local
account based on the site local policy.

This package contains the LDAP enforcement plug-in.

%prep
%setup -q

%build

%configure --disable-static

# The following two lines were suggested by
# https://fedoraproject.org/wiki/Packaging/Guidelines to prevent any
# RPATHs creeping in.
# https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency
# to prevent unnecessary linking
%define fixlibtool() sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool\
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool\
sed -i -e 's! -shared ! -Wl,--as-needed\\0!g' libtool

%fixlibtool
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# clean up installed documentation files
rm -rf ${RPM_BUILD_ROOT}%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS LICENSE NEWS BUGS
%{_libdir}/lcmaps/lcmaps_ban_dn.mod
%{_libdir}/lcmaps/lcmaps_dummy_bad.mod
%{_libdir}/lcmaps/lcmaps_dummy_good.mod
%{_libdir}/lcmaps/lcmaps_localaccount.mod
%{_libdir}/lcmaps/lcmaps_poolaccount.mod
%{_libdir}/lcmaps/lcmaps_posix_enf.mod
%{_libdir}/lcmaps/liblcmaps_ban_dn.so
%{_libdir}/lcmaps/liblcmaps_dummy_bad.so
%{_libdir}/lcmaps/liblcmaps_dummy_good.so
%{_libdir}/lcmaps/liblcmaps_localaccount.so
%{_libdir}/lcmaps/liblcmaps_poolaccount.so
%{_libdir}/lcmaps/liblcmaps_posix_enf.so
%{_mandir}/man8/lcmaps_ban_dn.mod.8*
%{_mandir}/man8/lcmaps_dummy_bad.mod.8*
%{_mandir}/man8/lcmaps_dummy_good.mod.8*
%{_mandir}/man8/lcmaps_localaccount.mod.8*
%{_mandir}/man8/lcmaps_poolaccount.mod.8*
%{_mandir}/man8/lcmaps_posix_enf.mod.8*

%files ldap
%doc AUTHORS LICENSE NEWS BUGS
%{_libdir}/lcmaps/lcmaps_ldap_enf.mod
%{_libdir}/lcmaps/liblcmaps_ldap_enf.so
%{_mandir}/man8/lcmaps_ldap_enf.mod.8*

%changelog
* Wed Aug 23 2023 Mischa Salle <msalle@nikhef.nl> 1.7.1-2
- add BuildRequires on gcc
- use https for source URL

* Mon Jul 20 2015 Mischa Salle <msalle@nikhef.nl> 1.7.1-1
- updated version

* Tue Feb 17 2015 Mischa Salle <msalle@nikhef.nl> 1.7.0-2
- add release to requirements
- install BUGS and NEWS file
- updated version

* Fri Feb 28 2014 Mischa Salle <msalle@nikhef.nl> 1.6.3-1
- updated version

* Fri Feb 14 2014 Mischa Salle <msalle@nikhef.nl> 1.6.2-2
- clean up installed documentation files (breaks Fedora20)
- correct bogus dates in changelog (breaks Fedora20)
- correct duplicate entry in filelist

* Thu Feb 13 2014 Mischa Salle <msalle@nikhef.nl> 1.6.2-1
- update builddep on lcmaps-devel instead of -interface
- prevent unnecessary linking
- specify BuildRoot (and clean section) for EPEL5
- remove defattr
- updated version

* Wed Feb 27 2013 Mischa Salle <msalle@nikhef.nl> 1.6.1-1
- Updated version

* Tue Feb 26 2013 Mischa Salle <msalle@nikhef.nl> 1.6.0-1
- Updated version

* Tue Oct 23 2012 Mischa Salle <msalle@nikhef.nl> 1.5.1-2
- Add minimal lcmaps version.
- Remove configure flag for moduledir.

- Added plugin lcmaps_ban_dn including manpage.
- Update URL.
- Add run-time requirement for lcmaps for basic package.
- Add architecture to run-time requirement for ldap subpackage.
- Updated version

* Tue Dec 27 2011 Oscar Koeroo <okoeroo@nikhef.nl> 1.5.0-3
- Changed the install directory to libdir/lcmaps/ for the LDAP plugin.

* Fri Dec 23 2011 Oscar Koeroo <okoeroo@nikhef.nl> 1.5.0-2
- Changed the install directory to libdir/lcmaps/ for the plugins.

* Thu Dec 15 2011 Mischa Salle <msalle@nikhef.nl> 1.5.0-1
- updated version

* Wed Nov 16 2011 Dennis van Dok <dennisvd@nikhef.nl> 1.4.6-2
- moved plugin to plugins/ subdirectory

* Thu Jul 14 2011 Dennis van Dok <dennisvd@nikhef.nl> 1.4.6-1
- Updated version

* Tue Jul  5 2011 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.4.5-2
- Remove Vendor tag

* Thu Jun 30 2011 Dennis van Dok <dennisvd@nikhef.nl> 1.4.5-1
- Moved lcmaps_ldap_enf.mod to the -ldap package
- Updated to version 1.4.5

* Wed Apr  6 2011 Dennis van Dok <dennisvd@nikhef.nl> 1.4.3-1
- bumped version

* Wed Mar 23 2011 Dennis van Dok <dennisvd@nikhef.nl> 1.4.2-4
- removed explicit requires

* Mon Mar  7 2011 Dennis van Dok <dennisvd@nikhef.nl> 1.4.2-3
- Split off the ldap enforcement plug-in

* Fri Mar  4 2011 Dennis van Dok <dennisvd@nikhef.nl> 1.4.2-2
- drop the development package
- fixed the licence string

* Mon Feb 21 2011 Dennis van Dok <dennisvd@nikhef.nl> 
- Initial build.
